<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->get('/getUser', 'MasheryGetUserController@getUser');

$router->group(['prefix' => 'mashery'], function () use ($router) {
    //mashery/token
    $router->get('token', 'MasheryController@getToken');

    //mashery/getUser?token={token}&username={mashery_username}
    $router->get('getUser', 'MasheryController@getUser');

    //mashery/createUser?token={}&username={}&email={}&dname={}&pass={}
    $router->get('createUser', 'MasheryController@createUser');
});

$router->group(['middleware' => 'client.auth'], function () use ($router) {
    $router->group(['prefix' => 'user'], function () use ($router) {
        $router->get('by-username', 'UserController@getByUsername');

        $router->post('create', 'UserController@createUser');
    });

    $router->group(['prefix' => 'application'], function () use ($router) {
        $router->post('create-default', 'ApplicationController@createDefault');

        $router->post('create', 'ApplicationController@createApp');
    });
});
